### Hierarchy

- LobbyRunner

## Index

### Constructors

- constructor

### Properties

- adminConnected
- banPlayer
- continueTournament
- expiresAt
- kickPlayer
- lobby
- pubSub
- startTournament
- tournamentRunner

### Methods

- addPlayerToLobby
- destroy
- getLobby
- ifAdmin
- isExpired
- isInactive
- removeDisconnectedPlayer

## Constructors

### constructor

- new LobbyRunner(admin: string, fixedLobbyName: boolean): LobbyRunner

- - Defined in lobby/LobbyRunner.ts:17

  #### Parameters

  - ##### admin: string

  - ##### fixedLobbyName: boolean

  #### Returns LobbyRunner

## Properties

### Private adminConnected

adminConnected: boolean = false

- Defined in lobby/LobbyRunner.ts:15

### Private banPlayer

banPlayer: (data: any) => void = ...

- Defined in lobby/LobbyRunner.ts:225

#### Type declaration

- - (data: any): void

  - #### Parameters

    - ##### data: any

    #### Returns void

### Private continueTournament

continueTournament: (data: any) => void = ...

- Defined in lobby/LobbyRunner.ts:190

#### Type declaration

- - (data: any): void

  - #### Parameters

    - ##### data: any

    #### Returns void

### Private Readonly expiresAt

expiresAt: Date

- Defined in lobby/LobbyRunner.ts:14

### Private kickPlayer

kickPlayer: (data: any) => void = ...

- Defined in lobby/LobbyRunner.ts:204

#### Type declaration

- - (data: any): void

  - #### Parameters

    - ##### data: any

    #### Returns void

### Private Readonly lobby

lobby: Lobby

- Defined in lobby/LobbyRunner.ts:11

### Private pubSub

pubSub: default

- Defined in lobby/LobbyRunner.ts:13

### Private startTournament

startTournament: (data: any) => void = ...

- Defined in lobby/LobbyRunner.ts:173

#### Type declaration

- - (data: any): void

  - #### Parameters

    - ##### data: any

    #### Returns void

### Private tournamentRunner

tournamentRunner: TournamentRunner

- Defined in lobby/LobbyRunner.ts:12

## Methods

### Private addPlayerToLobby

- addPlayerToLobby(data: LOBBY_JOIN_MESSAGE): void

- - Defined in lobby/LobbyRunner.ts:65

  #### Parameters

  - ##### data: LOBBY_JOIN_MESSAGE

  #### Returns void

### destroy

- destroy(): void

- - Defined in lobby/LobbyRunner.ts:58

  #### Returns void

### getLobby

- getLobby(): Lobby

- - Defined in lobby/LobbyRunner.ts:40

  #### Returns Lobby

### Private ifAdmin

- ifAdmin(next: (lobbyName: string, data: any) => any): (data: any) => void

- - Defined in lobby/LobbyRunner.ts:156

  Wrap any method in a check for the admin user

  #### Parameters

  - ##### next: (lobbyName: string, data: any) => any

    - - (lobbyName: string, data: any): any

      - #### Parameters

        - ##### lobbyName: string

        - ##### data: any

        #### Returns any

  #### Returns (data: any) => void

  - - (data: any): void

    - #### Parameters

      - ##### data: any

      #### Returns void

### isExpired

- isExpired(): boolean

- - Defined in lobby/LobbyRunner.ts:49

  #### Returns boolean

### isInactive

- isInactive(): boolean

- - Defined in lobby/LobbyRunner.ts:54

  #### Returns boolean

### Private removeDisconnectedPlayer

- removeDisconnectedPlayer(data: PlayerDisconnectedMessage): void

- - Defined in lobby/LobbyRunner.ts:128

  #### Parameters

  - ##### data: PlayerDisconnectedMessage

  #### Returns void

Generated using TypeDoc